import {ScrollView, View} from "@tarojs/components";
import {FC, useEffect, useState} from "react";
import style from './lineChart.module.scss'

export interface lineData {
  time: string
  value: number
}

interface Props {
  data: lineData[]
}

const height = 180
const LineChart: FC<Props> = ({data}) => {
  const [maxHeight, setMaxHeight] = useState(0)
  const [lineChartList, setLineChartList] = useState(data)

  useEffect(() => {
    setLineChartList(data)
    setMaxHeight(data.reduce((pre, cur) => {
      return Math.max(pre, cur.value)
    }, 0))
  }, [data])

  return (
    <ScrollView scrollX>
      <View className={style.lineChart}>
        {
          lineChartList.map(d => <View key={d.time}>
            <View className={style.columnBox} style={{width: "100px"}}>
              <View className={style.line} style={{height: height - 10 - (d.value / maxHeight * height) + "px"}}></View>
              <View className={style.column} style={{height: d.value / maxHeight * height + "px"}}> </View>
              <View>{d.time}</View>
            </View>
          </View>)
        }
      </View>
    </ScrollView>
  )
}

export default LineChart
